# nestedcvtraining

This is a Python package that provides an easy way to do **Nested Cross Validation** for **hyperparameter tuning** and **model evaluation** on classification problems.

It is specially designed for binary or multiclass classification problems where either there is an imbalance problem or probability calibration is very important (or both). And where the dataset is not very big (the bigger the dataset, the less relevant is to perform cross validation, as the population is big enough to have better estimates without doing it).

## Install nestedcvtraining

```bash
pip install nestedcvtraining
```

## Documentation

Go to [documentation](https://jaimearboleda.github.io/nestedcvtraining/) to get started.

## Author

[Jaime Arboleda @JaimeArboleda](https://github.com/JaimeArboleda)

- <[Linkedin](https://www.linkedin.com/in/jaime-arboleda-castilla-1a676b207/)>
- <[Mail](mailto:jaime.arboleda.castilla@gmail.com)>

## Contributors are welcome!

Pull requests and/or suggestions are more than welcome!

## License

[MIT](https://choosealicense.com/licenses/mit/)

